> ## Documentation Index
> Fetch the complete documentation index at: https://docs.papermap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dashboard

> Endpoint to create a new dashboard



## OpenAPI

````yaml /api-reference/managing-dashboards/dashboard-openapi.json post /api/v1/external/dashboards
openapi: 3.1.0
info:
  title: Papermap Dashboard API
  version: 1.0.0
servers:
  - url: https://prod.dataapi.papermap.ai/
security: []
paths:
  /api/v1/external/dashboards:
    post:
      summary: Create Dashboard
      description: Endpoint to create a new dashboard
      parameters:
        - name: X-API-Key-ID
          in: header
          required: true
          schema:
            type: string
          description: API Key Identifier
        - name: X-Workspace-ID
          in: header
          required: true
          schema:
            type: string
          description: Workspace Identifier
        - name: X-Valid-Until
          in: header
          required: true
          schema:
            type: string
          description: Validity timestamp for the request
        - name: X-Signature
          in: header
          required: true
          schema:
            type: string
          description: Request signature for authentication
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
          description: Specifies the content type of the request body
        - name: Access-Control-Allow-Origin
          in: header
          required: false
          schema:
            type: string
            enum:
              - '*'
          description: CORS allow origin header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: ID of the workspace
                title:
                  type: string
                  description: Title of the dashboard
                description:
                  type: string
                  description: Optional description of the dashboard
              required:
                - workspace_id
                - title
      responses:
        '200':
          description: Dashboard created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      created_by:
                        type:
                          - string
                          - 'null'
                      modified_by:
                        type:
                          - string
                          - 'null'
                      deleted_by:
                        type:
                          - string
                          - 'null'
                      dashboard_id:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
                      workspace_id:
                        type: string
                      dashboard_status:
                        type:
                          - string
                          - 'null'
                      meta:
                        type:
                          - object
                          - 'null'
                      configuration:
                        type:
                          - object
                          - 'null'
                      is_public:
                        type: boolean
                      created_at:
                        type: string
                        format: date-time
                      modified_at:
                        type: string
                        format: date-time

````